package com.example.psp

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.activity.enableEdgeToEdge
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.ui.Modifier
import com.example.psp.screen.WebViewScreen
import com.example.psp.ui.theme.PSPTheme
import dagger.hilt.android.AndroidEntryPoint

@AndroidEntryPoint
class MainActivity : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        enableEdgeToEdge()
        setContent {
            PSPTheme {
                WebViewScreen(
                    url = "https://www.google.com",
                    modifier = Modifier.fillMaxSize()
                )
            }
        }
    }
}